System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.DataAnnotations.ValidationAttribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false) To be added.

Provides an attribute that compares two properties.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The property to compare with the current property.
- Method
  4.0.0.0
  System.String `` To be added.

  Applies formatting to an error message, based on the data field where the error occurred.

  The formatted error message.

  The name of the field that caused the validation failure.
- Method
  4.0.0.0
  System.ComponentModel.DataAnnotations.ValidationResult `` `` To be added. To be added.

  Determines whether a specified object is valid.

  true if is valid; otherwise, false.

  The object to validate.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the property to compare with the current property.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the display name of the other property.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the attribute requires validation context.